org.deidentifier.arx.aggregates.classification

## Class MultiClassRandomForest

- java.lang.Object
- - org.deidentifier.arx.aggregates.classification.ClassificationMethod
  - - org.deidentifier.arx.aggregates.classification.MultiClassRandomForest

    public class MultiClassRandomForest
    extends ClassificationMethod

Implements a classifier

Author:
  Fabian Prasser

### Constructor Summary

Constructors
Constructor and Description
`MultiClassRandomForest(WrappedBoolean interrupt, ClassificationDataSpecification specification, ClassificationConfigurationRandomForest config, DataHandleInternal inputHandle)` Creates a new instance

### Method Summary

All Methods Instance Methods Concrete Methods
`ClassificationResult` `classify(DataHandleInternal features, int row)` Classify
`void` `close()` Close
`void` `train(DataHandleInternal features, DataHandleInternal clazz, int row)` Train

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MultiClassRandomForest

    public MultiClassRandomForest(WrappedBoolean interrupt,
                                  ClassificationDataSpecification specification,
                                  ClassificationConfigurationRandomForest config,
                                  DataHandleInternal inputHandle)

Creates a new instance

Parameters:
  `interrupt` -
  `specification` -
  `config` -
  `inputHandle` -

### Method Detail

#### classify

    public ClassificationResult classify(DataHandleInternal features,
                                         int row)

Description copied from class: `ClassificationMethod`
Classify

Specified by:
  `classify` in class `ClassificationMethod`
Returns:

#### close

    public void close()

Description copied from class: `ClassificationMethod`
Close

Specified by:
  `close` in class `ClassificationMethod`

#### train

    public void train(DataHandleInternal features,
                      DataHandleInternal clazz,
                      int row)

Description copied from class: `ClassificationMethod`
Train

Specified by:
  `train` in class `ClassificationMethod`